## prometheus 1.8.1+ds

=== debian/changelog ===
prometheus (1.8.1+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Revert "Workaround for FTBFS in i386 until #877541 is solved."
  * Update dependency on Azure SDK.

 -- Martín Ferrari <tincho@debian.org>  Fri, 03 Nov 2017 01:13:07 +0000

prometheus (1.8.1+ds-2) unstable; urgency=medium

  * Replace gogo/protobuf dependency with golang equivalent.
  * Workaround for FTBFS in i386 until #877541 is solved.

 -- Martín Ferrari <tincho@debian.org>  Tue, 24 Oct 2017 22:32:55 +0000

prometheus (1.8.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update AWS dependency and remove patch.
  * Re-vendor consul API.
  * Update Standards-Version and Priority.

 -- Martín Ferrari <tincho@debian.org>  Tue, 24 Oct 2017 10:32:53 +0000

prometheus (1.7.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * debian/watch: More robust rules; accept more pre-releases.
  * Update default config.
  * Stop using pristine-tar.
  * Increase compat to 10; remove dh-systemd dep.
  * Replace new JS vendored dependency with sources.

 -- Martín Ferrari <tincho@debian.org>  Mon, 02 Oct 2017 13:15:32 +0000

prometheus (1.7.1+ds-3) unstable; urgency=medium

  * Add patch to work with latest azure-go-autorest package.
  * Move adduser to normal Depends.
  * debian/control: Remove all non-direct dependencies.

 -- Martín Ferrari <tincho@debian.org>  Tue, 05 Sep 2017 01:46:43 +0000

prometheus (1.7.1+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Move adduser to normal Depends.
  * debian/control: Remove all non-direct dependencies.
  * debain-control: Tighten dependency con -common.

 -- Martín Ferrari <tincho@debian.org>  Tue, 05 Sep 2017 00:42:56 +0000

prometheus (1.7.1+ds-2) unstable; urgency=medium

  * Update versioned dependency on -common.
  * Remove now unneeded lintian overrides.
  * Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
  * debian/control: Update Standards-Version (no changes).
  * debian/rules: Replace DH_GOPKG with XS-Go-Import-Path.
  * Automatic fixes to control and copyright from cme.

 -- Martín Ferrari <tincho@debian.org>  Tue, 29 Aug 2017 00:17:30 +0000

prometheus (1.7.1+ds-1~bpo9+2) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Switch back to golang-go dependency.
  * Re-vendor tiny consul dependency to avoid backporting dozens of packages.
  * Update versioned dependency on -common.

 -- Martín Ferrari <tincho@debian.org>  Thu, 17 Aug 2017 13:19:19 +0000

prometheus (1.6.3+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Use golang-1.8-go directly, as golang-defaults points to 1.7.
  * Use old name for golang-goleveldb.

 -- Martín Ferrari <tincho@debian.org>  Sun, 16 Jul 2017 23:15:05 +0000
