=== debian/changelog ===
prometheus (2.0.0+ds3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Refine dependencies.
  * debian/init: Update metrics path.
  * debian/rules: Fix whatis entries in man pages.

 -- Martín Ferrari <tincho@debian.org>  Sun, 14 Jan 2018 14:58:00 +0000

prometheus (2.0.0+ds3-1) unstable; urgency=medium

  * Team upload.

  [ Martín Ferrari ]
  * New upstream release, with many breaking changes.
  * Remove new vendored dependencies.
  * Replace new JS vendored dependency with sources.
  * Revendor consul API.
  * Refresh patches.
  * debian/rules: Add new test fixtures.
  * Update cmdline help, init script, and add notice in NEWS.
  * Update default config.
  * Add missing licensing info.
  * debian/watch: More robust rules; accept more pre-releases.
  * Update overrides.
  * Stop using pristine-tar.
  * Increase compat to 10; remove dh-systemd dep.
  * Update Standards-Version and Priority.
  * debian/copyright: Remove now obsolete Files-Excluded. Closes: #884081

  [ Christoph Berg ]
  * The database format changed, metrics data directory is now
    /var/lib/prometheus/metrics2. On upgrade, a debconf prompt asks if the old
    data directory /var/lib/prometheus/metrics should be removed.
  * Add new B-D golang-github-cespare-xxhash-dev,
    golang-github-cockroachdb-cmux-dev, golang-github-dgryski-go-bits-dev,
    golang-github-gogo-protobuf-dev, golang-github-go-logfmt-logfmt-dev,
    golang-github-go-stack-stack-dev,
    golang-github-grpc-ecosystem-grpc-gateway-dev,
    golang-github-nightlyone-lockfile-dev, golang-github-oklog-ulid-dev,
    golang-github-pkg-errors-dev, golang-gopkg-alecthomas-kingpin.v2-dev.
  * Build prometheus and promtool manpages from --help-man.
  * Ship NOTICE file as required by the Apache license.

 -- Christoph Berg <myon@debian.org>  Thu, 04 Jan 2018 19:22:17 +0100
