=== debian/control ===
--- 
+++ 
@@ -6,31 +6,39 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-golang (>= 1.17~),
-               golang-github-asaskevich-govalidator-dev,
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev (>= 10),
                golang-github-azure-go-autorest-dev (>= 8),
+               golang-github-cespare-xxhash-dev,
+               golang-github-cockroachdb-cmux-dev,
                golang-github-fsnotify-fsnotify-dev,
+               golang-github-go-kit-kit-dev,
+               golang-github-gogo-protobuf-dev (>= 0.5),
                golang-github-golang-snappy-dev,
                golang-github-gophercloud-gophercloud-dev,
+               golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-go-cleanhttp-dev,
                golang-github-hashicorp-serf-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
+               golang-github-mwitkow-go-conntrack-dev,
                golang-github-opentracing-contrib-go-stdlib-dev,
                golang-github-opentracing-opentracing-go-dev,
+               golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20170707.3e6a763-1~bpo9+2),
+               golang-github-prometheus-common-dev (>= 0+git20171117),
+               golang-github-prometheus-tsdb-dev,
                golang-github-samuel-go-zookeeper-dev,
-               golang-github-stretchr-testify-dev,
-               golang-github-syndtr-goleveldb-dev,
                golang-go (>= 2:1.8~),
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-time-dev,
                golang-google-api-dev,
+               golang-google-genproto-dev (>= 0.0~git20171123),
+               golang-google-grpc-dev,
+               golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git
 Homepage: https://prometheus.io/
