=== debian/changelog ===
prometheus (2.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Re-vendor github.com/oklog/oklog/pkg/group.
  * Refresh patches.
  * Patch test that uses prometheus binary.
  * Refine and update versions of dependencies.
  * debian/init: Update metrics path.
  * debian/rules: Fix whatis entries in man pages.

 -- Martín Ferrari <tincho@debian.org>  Sun, 21 Jan 2018 21:30:42 +0000
