=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-github-gogo-protobuf-dev (>= 0.5),
                golang-github-golang-snappy-dev,
                golang-github-gophercloud-gophercloud-dev,
-               golang-github-grpc-ecosystem-grpc-gateway-dev,
+               golang-github-grpc-ecosystem-grpc-gateway-dev (>= 1.3),
                golang-github-hashicorp-go-cleanhttp-dev,
                golang-github-hashicorp-serf-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
@@ -26,8 +26,8 @@
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20171117),
-               golang-github-prometheus-tsdb-dev,
+               golang-github-prometheus-common-dev (>= 0+git20180110),
+               golang-github-prometheus-tsdb-dev (>= 0.0~git20180118),
                golang-github-samuel-go-zookeeper-dev,
                golang-go (>= 2:1.8~),
                golang-golang-x-net-dev,
