=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 export DH_VERBOSE=1
 # Include test fixtures.
 export DH_GOLANG_INSTALL_EXTRA := discovery/file/fixtures \
-    storage/local/fixtures config/testdata promql/testdata retrieval/testdata \
-    promql/fuzz-data util/httputil/testdata
+    promql/fuzz-data config/testdata util/httputil/testdata promql/testdata \
+    retrieval/testdata pkg/rulefmt/testdata
+
 # Do not build examples.
 export DH_GOLANG_EXCLUDES := documentation vendor
 
@@ -36,11 +37,22 @@
 endif
 
 %:
+	# stop the service before upgrading, so we can move the v1 database away
 	dh $@ --buildsystem=golang --with=golang,systemd \
             --builddirectory=$(BUILDDIR)
 
+WHATIS1 := "prometheus \\- The Prometheus monitoring server"
+WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
+
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
+	build/bin/prometheus --help-man > build/prometheus.1
+	build/bin/promtool --help-man > build/promtool.1
+	# Remove build user/build date/go version headers, which is ugly.
+	sed -i -e '/^  /d' build/prometheus.1 build/promtool.1
+	# Fix whatis entry.
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) build/prometheus.1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) build/promtool.1
 
 override_dh_auto_test:
 	dh_auto_test -- $(TESTFLAGS)
