## prometheus 2.2.0+ds

=== debian/changelog ===
prometheus (2.2.0+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #888153.
  * Add notice about DB changes.
  * Update TSDB version.
  * Refresh patches.
  * Update Azure patch for new breakage.
  * Inline unreleased method from the golang client lib.

 -- Martín Ferrari <tincho@debian.org>  Wed, 14 Mar 2018 18:18:37 +0000
