=== debian/changelog ===
prometheus (2.2.1+ds-2) unstable; urgency=high

  * debian/control: Require latest TSDB version, that solves serious bugs
    in the DB.

 -- Martín Ferrari <tincho@debian.org>  Thu, 29 Mar 2018 09:17:37 +0000

prometheus (2.2.1+ds-1) unstable; urgency=high

  * New upstream release, with critical fixes.
  * Ignore fsnotify on mips64el, rely only on timeouts for file discovery on
    that platform, and disable the tests.
    https://github.com/fsnotify/fsnotify/issues/241

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Mar 2018 04:34:44 +0000
