=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0+git20180110),
-               golang-github-prometheus-tsdb-dev (>= 0.0~git20180302),
+               golang-github-prometheus-tsdb-dev (>= 0.0~git20180314),
                golang-github-samuel-go-zookeeper-dev,
                golang-go (>= 2:1.8~),
                golang-golang-x-net-dev,
