## prometheus 2.3.2+ds

=== debian/changelog ===
prometheus (2.3.2+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Sun, 05 Aug 2018 18:46:45 +0000

prometheus (2.3.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update tsdb version dependency.
  * Bump Standards-Version (no changes).

 -- Martín Ferrari <tincho@debian.org>  Sat, 28 Jul 2018 23:14:10 +0000

prometheus (2.3.1+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * debian/gbp.conf: Set debian-branch for BPO.
  * debian/control: Adjust dependencies versions.

 -- Martín Ferrari <tincho@debian.org>  Sat, 07 Jul 2018 21:15:36 +0000

prometheus (2.3.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: Adjust dependencies versions.

 -- Martín Ferrari <tincho@debian.org>  Fri, 29 Jun 2018 11:57:47 +0000

prometheus (2.3.0+ds-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * New upstream version.
  * New dependency golang-github-json-iterator-go-dev.
  * Refresh patches.
  * Depend on version of fsnotify with new import path.
  * Depend on latest common and client libs; remove now unneeded patch.
  * Add debconf translations for es, fr, nl, pt, and ru.
    Closes: #898186, #898299, #899024, #899230, #900713.
  * debian/copyright: properly place repackaging comment.
  * debian/control: Automated cme fixes.
  * Update dh compat level to 11.
  * debian/postinst: Stop changing permissions recursively.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Jun 2018 15:27:23 +0000

prometheus (2.2.1+ds-2~bpo9+1) stretch-backports; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * Rebuild for stretch-backports. Closes: #894129.
  * debian/control: Current code requires golang 1.10.
  * debian/rules: add missing testdata dir.

 -- Martín Ferrari <tincho@debian.org>  Wed, 11 Apr 2018 13:20:22 +0000
