=== debian/control ===
--- 
+++ 
@@ -4,43 +4,45 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.17~),
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev (>= 10),
                golang-github-azure-go-autorest-dev (>= 8),
                golang-github-cespare-xxhash-dev,
                golang-github-cockroachdb-cmux-dev,
-               golang-github-fsnotify-fsnotify-dev,
+               golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
                golang-github-go-kit-kit-dev,
                golang-github-gogo-protobuf-dev (>= 0.5),
                golang-github-golang-snappy-dev,
                golang-github-gophercloud-gophercloud-dev,
-               golang-github-grpc-ecosystem-grpc-gateway-dev (>= 1.3),
+               golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-go-cleanhttp-dev,
                golang-github-hashicorp-serf-dev,
+               golang-github-json-iterator-go-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-opentracing-contrib-go-stdlib-dev,
                golang-github-opentracing-opentracing-go-dev,
                golang-github-pkg-errors-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 0.9.0~),
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20180110),
-               golang-github-prometheus-tsdb-dev (>= 0.0~git20180314),
+               golang-github-prometheus-common-dev (>= 0+git20180518),
+               golang-github-prometheus-tsdb-dev (>= 0.0~git20180711),
                golang-github-samuel-go-zookeeper-dev,
-               golang-go (>= 2:1.8~),
-               golang-golang-x-net-dev,
+               golang-go (>= 2:1.10~),
+               golang-golang-x-net-dev (>= 1:0.0+git20180124),
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-time-dev,
-               golang-google-api-dev,
+               golang-google-api-dev (>= 0.0~git20170907),
                golang-google-genproto-dev (>= 0.0~git20171123),
-               golang-google-grpc-dev,
+               golang-google-grpc-dev (>= 1.6.0~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git
+               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
+               po-debconf,
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
+Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
 Homepage: https://prometheus.io/
 XS-Go-Import-Path: github.com/prometheus/prometheus
