=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Include test fixtures.
 export DH_GOLANG_INSTALL_EXTRA := discovery/file/fixtures \
     promql/fuzz-data config/testdata util/httputil/testdata promql/testdata \
-    retrieval/testdata pkg/rulefmt/testdata
+    retrieval/testdata pkg/rulefmt/testdata scrape/testdata
 
 # Do not build examples.
 export DH_GOLANG_EXCLUDES := documentation vendor
@@ -38,8 +38,7 @@
 
 %:
 	# stop the service before upgrading, so we can move the v1 database away
-	dh $@ --buildsystem=golang --with=golang,systemd \
-            --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
 
 WHATIS1 := "prometheus \\- The Prometheus monitoring server"
 WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
