## prometheus 2.7.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.17~),
+               gogoprotobuf,
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev (>= 10),
                golang-github-azure-go-autorest-dev (>= 8),
@@ -25,10 +26,10 @@
                golang-github-opentracing-contrib-go-stdlib-dev,
                golang-github-opentracing-opentracing-go-dev,
                golang-github-pkg-errors-dev,
-               golang-github-prometheus-client-golang-dev (>= 0.9.0~),
+               golang-github-prometheus-client-golang-dev (>= 0.9.0-1~),
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20180518),
-               golang-github-prometheus-tsdb-dev (>= 0.0~git20180711),
+               golang-github-prometheus-common-dev (>= 0+git20181119),
+               golang-github-prometheus-tsdb-dev (>= 0.4.0),
                golang-github-samuel-go-zookeeper-dev,
                golang-go (>= 2:1.10~),
                golang-golang-x-net-dev (>= 1:0.0+git20180124),
@@ -36,11 +37,12 @@
                golang-golang-x-time-dev,
                golang-google-api-dev (>= 0.0~git20170907),
                golang-google-genproto-dev (>= 0.0~git20171123),
-               golang-google-grpc-dev (>= 1.6.0~),
+               golang-google-grpc-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
+               golang-gopkg-yaml.v2-dev,
+               golang-grpc-gateway,
                po-debconf,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
 Homepage: https://prometheus.io/
@@ -55,6 +57,7 @@
          libjs-jquery (>= 1.11.3~),
          libjs-jquery-hotkeys,
          libjs-moment,
+         libjs-moment-timezone,
          libjs-mustache (>= 2.3.0-1~),
          libjs-rickshaw,
          ${misc:Depends},
