=== debian/changelog ===
prometheus (2.7.1+ds-3~bpo9+2) stretch-backports; urgency=medium

  * Include unreleased fix for a crash:
    debian/patches: drop 10-Close-Querier.patch

 -- Martina Ferrari <tincho@debian.org>  Mon, 28 Oct 2019 20:43:40 +0000

prometheus (2.7.1+ds-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Remove dependency on transitional package.
  * Name update.
  * Update dependencies and versions.

 -- Martina Ferrari <tincho@debian.org>  Mon, 28 Oct 2019 20:32:14 +0000

prometheus (2.7.1+ds-3) unstable; urgency=medium

  * Missed one use of port :9090.

 -- Martín Ferrari <tincho@debian.org>  Sun, 10 Feb 2019 18:10:02 +0000

prometheus (2.7.1+ds-2) unstable; urgency=medium

  * Use a lower port for tests, as most build daemons had 64999 in use.

 -- Martín Ferrari <tincho@debian.org>  Sun, 10 Feb 2019 16:05:46 +0000

prometheus (2.7.1+ds-1) unstable; urgency=medium

  * New upstream release. Includes fix for CVE-2019-3826 (Stored DOM cross-site
    scripting (XSS) attack via crafted URL). Closes: #921615
  * Refresh patches.
  * debian/control: Update tsdb version dependency.
  * Update Standards-Version with no changes.
  * Revert commit c7d83b2 as the feature it introduces pulls a new version
    of a dependency. To be removed soon.
  * debian/rules: Regenerate protobuf files at buildtime.
  * Use a different port for tests that run prometheus.

 -- Martín Ferrari <tincho@debian.org>  Sun, 10 Feb 2019 04:45:36 +0000

prometheus (2.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update version requirement for tsdb and common.

 -- Martín Ferrari <tincho@debian.org>  Wed, 19 Dec 2018 15:52:20 +0000

prometheus (2.5.0+ds-2) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Cherry pick one-line patch from upstream to close dangling querier,
    avoiding deadlock in TSDB compaction.

 -- Martín Ferrari <tincho@debian.org>  Fri, 30 Nov 2018 11:25:51 +0100

prometheus (2.5.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Increase max open FDs to allow for higher scrape target volume.
    Signed-off-by: Daniel Swarbrick <daniel.swarbrick@profitbricks.com>

  [ Martín Ferrari ]
  * New upstream release.
    Does not match exactly upstream's release, due to git history issues.
    Instead is based on commit c2f32c99.

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 Nov 2018 02:36:30 +0000

prometheus (2.4.3+ds-2) unstable; urgency=medium

  * Fix test hanging due to connections kept open. Closes: #911434.

 -- Martín Ferrari <tincho@debian.org>  Mon, 22 Oct 2018 04:09:52 +0000

prometheus (2.4.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add German debconf translation. Closes: #905760.
  * Refresh patches
  * Update autorest patch.
  * Disable pprof support until dependency is packaged.
  * Fix test fixtures paths.
  * Update Standards-Version with no changes.
  * debian/control: Depend on current TSDB version.

 -- Martín Ferrari <tincho@debian.org>  Mon, 15 Oct 2018 15:37:24 +0000
