=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: prometheus
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
+Uploaders: Martina Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               dh-golang (>= 1.17~),
-               gogoprotobuf,
+               dh-golang (>= 1.39~),
+               gogoprotobuf (>= 1.0.0+git20180330~),
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev (>= 10),
                golang-github-azure-go-autorest-dev (>= 8),
@@ -14,9 +14,9 @@
                golang-github-cockroachdb-cmux-dev,
                golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
                golang-github-go-kit-kit-dev,
-               golang-github-gogo-protobuf-dev (>= 0.5),
+               golang-github-gogo-protobuf-dev (>= 1.0.0+git20180330~),
                golang-github-golang-snappy-dev,
-               golang-github-gophercloud-gophercloud-dev,
+               golang-github-gophercloud-gophercloud-dev (>= 0.0~git20180917~),
                golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-go-cleanhttp-dev,
                golang-github-hashicorp-serf-dev,
@@ -37,9 +37,9 @@
                golang-golang-x-time-dev,
                golang-google-api-dev (>= 0.0~git20170907),
                golang-google-genproto-dev (>= 0.0~git20171123),
-               golang-google-grpc-dev,
+               golang-google-grpc-dev (>= 1.6.0~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev,
+               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
                golang-grpc-gateway,
                po-debconf,
 Standards-Version: 4.3.0
