=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 export DH_VERBOSE=1
 # Include test fixtures.
-export DH_GOLANG_INSTALL_EXTRA := discovery/file/fixtures \
-    promql/fuzz-data config/testdata util/httputil/testdata promql/testdata \
-    retrieval/testdata pkg/rulefmt/testdata scrape/testdata
+export DH_GOLANG_INSTALL_EXTRA := promql/fuzz-data \
+    config/testdata discovery/file/fixtures pkg/rulefmt/testdata \
+    promql/testdata rules/fixtures scrape/testdata
 
 # Do not build examples.
 export DH_GOLANG_EXCLUDES := documentation vendor
@@ -42,6 +42,20 @@
 
 WHATIS1 := "prometheus \\- The Prometheus monitoring server"
 WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
+PROMPB := $(CURDIR)/build/src/github.com/prometheus/prometheus/prompb
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(BUILDFLAGS)
+	protoc --gogofast_out=plugins=grpc:$(PROMPB) \
+            -I$(PROMPB) \
+            -I$(BUILDDIR)/src/github.com/gogo/protobuf \
+            -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
+            $(PROMPB)/*.proto
+	protoc --grpc-gateway_out=logtostderr=true:$(PROMPB) \
+            -I$(PROMPB) \
+            -I$(BUILDDIR)/src/github.com/gogo/protobuf \
+            -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
+            $(PROMPB)/rpc.proto
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
