## prometheus 2.15.2%2Bds

=== debian/changelog ===
prometheus (2.15.2+ds-2) unstable; urgency=medium

  * Bump build-dep version for golang-github-opentracing-contrib-go-stdlib,
    in order to support gRPC streaming responses on remote read endpoint,
    as used by Thanos. (Closes: #948565)

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Mon, 13 Jan 2020 10:10:54 +0000

prometheus (2.15.2+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Add myself to uploaders.
  * Refresh patches.
  * Patch out support for React web UI until build-deps can be satisfied.

  [ Martina Ferrari ]
  * debian/rules: Defer computation of some variables to build time.

 -- Martina Ferrari <tincho@debian.org>  Wed, 08 Jan 2020 17:07:22 +0000

prometheus (2.13.1+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * debian/patches: drop 10-Close-Querier.patch. Drop patch which was
    implemented upstream in v2.6.0. Retaining this patch longer than
    necessary led to q.Close() being called multiple times, resulting in a
    negative WaitGroup panic (see
    https://github.com/prometheus/prometheus/issues/5408).

  [ Martina Ferrari ]
  * New upstream release.
  * Name update.
  * Update dependencies and versions.
  * Update patching of UI.
  * Disable Azure until the Debian packages are updated.
  * Update dependencies and vendored copyright information.
  * Refresh patches. Make sure port 9090 is never used during tests, so
    autopkgtests don't fail. (Closes: #907171)
  * Re-enable pprof support.
  * Improve init script.
  * Update build exclusions.
  * Automated cme fixes.
  * Increase compat level to 12; add needed Pre-Depends for sysvinit.
  * Add manpage for tsdb(1).

 -- Martina Ferrari <tincho@debian.org>  Thu, 31 Oct 2019 03:38:37 +0000
